Organization Users
View and administer Users in your organization.
Remove organization user
/organizations/{organizationId}/user
Remove a user from the Organization
Requires a bearer access token for this API. See Authentication.
Parameters
The Organization id.
Request body
Responses
Ok
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/user" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "00000000-0000-0000-0000-000000000000" }'
List Organization Users
/organizations/{organizationId}/users
Get all users in a given organization
Requires a bearer access token for this API. See Authentication.
Parameters
The Organization id.
Continuation token
Number of records to return
Responses
A list of users in a given Organization
Paging details for the list.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/users" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization User
/organizations/{organizationId}/users/{userId}
Get an Organization User entry by id
Requires a bearer access token for this API. See Authentication.
Parameters
The Organization id.
The User id.
Responses
The Organization User
UserDetail
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/users/{userId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"